import { ValidatorFn } from "@angular/forms";
export declare class DevsValidators {
    static checkArrayUnique(fields: string[], alias: boolean): ValidatorFn;
    static checkArrayAtLeast(field: string, value: string | number | boolean, quantity?: number): ValidatorFn;
    static isGreaterThanOrEqual(right: string): ValidatorFn;
    static isLessThanOrEqual(right: string): ValidatorFn;
    static mustMatchValidator(controlName: string, matchingControlName: string): (formGroup: import("@angular/forms").FormGroup<any>) => void;
    static isEnum(entity: Object): ValidatorFn;
    static isValidDate(format: string): ValidatorFn;
    static isValidIdentificationNumber(controlName: string): ValidatorFn;
}
